<?php

class ConceptoImpuesto extends XML{

    function __construct(){
        $this->atributos = [];
        $this->atributos['Base']='';
        $this->atributos['Impuesto']='';
        $this->atributos['TasaOCuota']='';
        $this->atributos['Importe']='';
        $this->atributos['TipoFactor']='';
        $this->rules= [];
        $this->rules['Base']='R';
        $this->rules['Impuesto']='R';
        $this->rules['TasaOCuota']='R';
        $this->rules['Importe']='R';
        $this->rules['TipoFactor']='R';
    }

    public function addNodeTaxTraslado(){
        $xml = null;
        $xml.= '<cfdi:Traslados>';
        $xml.= '<cfdi:Traslado  '.$this->getAtributes().' />';
        $xml.= '</cfdi:Traslados>';
        return $xml;
    }

    public function addNodeTaxRetencion(){
        $xml = null;
        $xml.= '<cfdi:Retenciones>';
        $xml.= '<cfdi:Retencion '.$this->getAtributes().' />';
        $xml.= '</cfdi:Retenciones>';
        return $xml;
    }

}