<?php

class ImpuestosLocales extends XML{
    
    public $LocalRetenciones;
    public $LocalTraslados;
    private $idxR=0;
    private $idxT=0;

    function __construct(){
            $this->atributos= [];
            $this->atributos['version']='';
            $this->atributos['TotaldeRetenciones']='';
            $this->atributos['TotaldeTraslados']='';
            $this->rules= [];
            $this->rules['version']='R';
            $this->rules['TotaldeRetenciones']='R';
            $this->rules['TotaldeTraslados']='R';
    }
    public function addRetencion(){
        $this->idxR ++;
        $this->LocalRetenciones[$this->idxR]=new LocalRetencion();
        return $this->LocalRetenciones[$this->idxR];
    }

    public function addTraslado(){
        $this->idxT ++;
        $this->LocalTraslados[$this->idxT]=new LocalTraslado();
        return $this->LocalTraslados[$this->idxT];
    }
    public function getNode(){
        $LF = 0x0A;
        $CR = 0x0D;
        $nl = sprintf("%c%c",$CR,$LF);
        if(count($this->LocalRetenciones)>0 || count($this->LocalTraslados)>0):
            $xml='<implocal:ImpuestosLocales '.$this->getAtributes().'>'.$nl;
                    if(count($this->LocalRetenciones)>0):
                        for ($idx=1;$idx<=$this->idxR;$idx++):
                            $xml.=$this->LocalRetenciones[$idx]->getNode().$nl;
                        endfor;
                    endif;
                    if(count($this->LocalTraslados)>0):
                        for ($idx=1;$idx<=$this->idxT;$idx++):
                            $xml.=$this->LocalTraslados[$idx]->getNode().$nl;
                        endfor;
                    endif;
                $xml.='</implocal:ImpuestosLocales>';
        else:
            $xml.='<implocal:ImpuestosLocales '.$this->getAtributes().' />';
        endif;
        return $xml;
    }
}
