<?php

class ZipLibrary{
    public static function decompressZipStream($ZIPContentStr){
            if(strlen($ZIPContentStr) < 102):
                throw new Exception('error: input data too short');
            endif;
            $CompressedSize=self::binstrtonum(substr($ZIPContentStr,18,4));
            $UncompressedSize=self::binstrtonum(substr($ZIPContentStr,22,4));
            $FileNameLen=self::binstrtonum(substr($ZIPContentStr,26,2));
            $ExtraFieldLen=self::binstrtonum(substr($ZIPContentStr,28,2));
            $Offs=30+$FileNameLen+$ExtraFieldLen;
            $ZIPData=substr($ZIPContentStr,$Offs);
            $Data=gzinflate($ZIPData);
            if(strlen($Data)!=$UncompressedSize):
                return $Data;
            else:
                return $Data;
            endif;
        }
    private static function binstrtonum($Str){
            $Num=0;
        for($TC1=strlen($Str)-1; $TC1>=0; $TC1--):
            $Num<<=8;
            $Num|=ord($Str[$TC1]);
        endfor;
        return $Num;
    }
}