<?php

namespace App\Helper;

use Geckob\Firebase\Firebase;

class FirebaseHelper {

	const VOUCHERS_PER_VIRTUAL_ARRAY = 6000;

	private static $object;
	private $firebase;
	private $commitArray;
	private $vArray;
	private $vPArray;

	private function __construct(){
		$this->reset();
	}

	private function reset() {
		$this->commitArray = array();
		$this->vArray = 0;
		$this->vPArray = 0;
	}

	public function addVale($uuid) {
		$this->vPArray++;
		if ($this->vPArray > self::VOUCHERS_PER_VIRTUAL_ARRAY) {
			$this->vArray++;
			$this->vPArray=0;
		}
		$this->commitArray[$this->vArray][$uuid] = array(
			'status' => 'disabled'
		);
	}

	public function commit() {
		$this->firebase = new Firebase(base_path('assets/Gas Ideal-290d6d0f7137.json'));
		$firebase = $this->firebase->setPath('/');
		foreach ($this->commitArray as $key => $value) {
			$firebase->patch('vales/',$value);
		}
		$this->reset();
	}


	public static function get() {
		if (!isset(self::$object)) {
			self::$object = new FirebaseHelper();
		}
		return self::$object;
	}
}