<?php

class Concepto extends XML{

    public $impuesto_nodo;

    function __construct(){
        $this->impuesto_nodo = [];
        $this->atributos= [];
        $this->atributos['ClaveProdServ']='';
        $this->atributos['ClaveUnidad']='';
        $this->atributos['NoIdentificacion']='';
        $this->atributos['Cantidad']='';
        $this->atributos['Unidad']='';
        $this->atributos['noIdentificacion']='';
        $this->atributos['Descripcion']='';
        $this->atributos['ValorUnitario']='';
        $this->atributos['Importe']='';
        $this->rules = [];
        $this->rules['ClaveProdServ']='R';
        $this->rules['ClaveUnidad']='R';
        $this->rules['NoIdentificacion']='R';
        $this->rules['Cantidad']='R';
        $this->rules['Unidad']='O';
        $this->rules['noIdentificacion']='O';
        $this->rules['Descripcion']='R';
        $this->rules['ValorUnitario']='R';
        $this->rules['Importe']='R';
    }

    public function getNode(){
        $xml = '<cfdi:Concepto '.$this->getAtributes().' >';
        $xml.= '<cfdi:Impuestos>';
        foreach($this->impuesto_nodo as $Impuesto):
            $xml.= (string) $Impuesto;
        endforeach;
        $xml.= '</cfdi:Impuestos>';
        $xml.= '</cfdi:Concepto> ';
        return $xml;
    }

}