<?php

class Conceptos extends XML{

    public $concepto;
    public $impuesto;
    private $idx=0;
    private $idxi=0;

    public $impuestos_conceptos; 

    function __construct(){
        $this->concepto = [];
        $this->impuesto = [];
        $this->impuestos_conceptos = [];
    }

    public function addConcepto(){
        $this->idx ++;
        $this->concepto[$this->idx] = new Concepto();
        return $this->concepto[$this->idx];
    }

    public function getSerial(){
        return $this->idx;
    }
    

    public function getNode(){
        $LF = 0x0A;
        $CR = 0x0D;
        $nl = sprintf("%c%c",$CR,$LF);
        if(count($this->concepto)>0):
            $xml='<cfdi:Conceptos>'.$nl;
                    for ($idx=1;$idx<=$this->idx;$idx++):
                        $xml.=$this->concepto[$idx]->getNode().$nl;
                    endfor;
            $xml.='</cfdi:Conceptos>';
            return $xml;
        else:
            throw new Exception('nodo concepto de conceptos es requerido por el SAT');
        endif;
    }
}