<?php

class Impuestos extends XML{

    public $Retenciones;
    public $Traslados;
    private $idxR=0;
    private $idxT=0;

    function __construct(){
        $this->atributos = [];
        $this->atributos['totalImpuestosRetenidos']='';
        $this->atributos['TotalImpuestosTrasladados']='';
        $this->rules = [];
        $this->rules['totalImpuestosRetenidos']='O';
        $this->rules['TotalImpuestosTrasladados']='O';
    }
    public function addRetencion(){
        $this->idxR ++;
        $this->Retenciones[$this->idxR] = new Retencion();
        return $this->Retenciones[$this->idxR];
    }

    public function addTraslado(){
        $this->idxT ++;
        $this->Traslados[$this->idxT] = new Traslado();
        return $this->Traslados[$this->idxT];
    }

    public function getNode(){
        $LF = 0x0A;
        $CR = 0x0D;
        $nl = sprintf("%c%c",$CR,$LF);
        if(count($this->Retenciones)>0 || count($this->Traslados)>0):
            $xml='<cfdi:Impuestos '.$this->getAtributes().'>'.$nl;
                    if(count($this->Traslados)>0):
                        $xml.='<cfdi:Traslados>'.$nl;
                        for ($idx=1;$idx<=$this->idxT;$idx++):
                            $xml.=$this->Traslados[$idx]->getNode().$nl;
                        endfor;
                        $xml.='</cfdi:Traslados>'.$nl;
                    endif;
                $xml.='</cfdi:Impuestos>';
        else:
            $xml.='<cfdi:Impuestos />';
        endif;
        return $xml;
    }
}