<?php

namespace App\Helper;

class ResponseHelper {
	public static function response($type, $data) {
		$response = array();
        switch ($type) {
            case 'warning':
                $response['response'] = "warning";
                $response['code'] = 400;
                $response['message'] = $data;
                break;
            case 'success':
                $response['response'] = "success";
                $response['code'] = 200;
                $response['message'] = "Document generated successfully";
                $response['urls'] = $data;
                break;
            case 'generating':
            	$response['response'] = "success";
            	$response['code'] = 202;
            	$response['orderID'] = $data;
            	$response['message'] = "Document is now generating";
                break;
            default:
                $response['response'] = "error";
                $response['code'] = 400;
                $response['message'] = "Response type $type not found, data was \"$data\"";
        }
        return response()->json($response,$response['code']);
	}
}